﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;
using CassiniSwitch.View;
using CassiniSwitch.ViewModel;

namespace CassiniSwitch
{
	public partial class App : Application
	{
		protected override void OnStartup(StartupEventArgs e)
		{
			base.OnStartup(e);

			// Initialise and show the main window
			var view = new MainWindow();
			var viewModel = new MainViewModel(view);
			view.DataContext = viewModel;
			view.Show();
		}
	}
}
